该内容不适用于您选择的语言

该内容将以另一种语言显示出来。 您可使用浏览器的翻译功能查看内容。

This device is not supported by your LabVIEW environment

Updated Mar 11, 2022

Reported In

Hardware

  • CompactRIO Controller
  • CompactDAQ Controller
  • PXI Controller
  • NI-9149
  • NI-9145
  • NI-9146
  • NI-9147
  • NI-9148
  • NI-9154
  • NI-9155
  • NI-9157
  • NI-9159

Software

  • LabVIEW
  • LabVIEW FPGA Module
  • LabVIEW Real-Time Module

Issue Details

I am trying to add my device (cRIO, PXI, Ethernet/EtherCAT Chassis, FPGA target, sbRIO, etc) to my LabVIEW project and I'm receiving the following message:

This device is not supported by your LabVIEW environment

Why am I seeing this?

Solution

The reason you are seeing this is because your controller may not be compatible with your LabVIEW version. Make sure that the software environment you are using is supported by your hardware. See document Software Support for CompactRIO, CompactDAQ, Single-Board RIO, R Series, and EtherCAT and select your device model from the dropdown in Section: Show Support Information for a Specific Device. You will see the compatibility information on the table.